﻿namespace NetinaShop.Domain.CommandQueries.Queries;


public sealed record GetProductQuery(Guid Id) : IRequest<ProductLDto>;
public sealed record GetProductsQuery(int Page = 0 , 
    string? ProductName = default,
    QuerySortBy SortBy = QuerySortBy.None , 
    Guid CategoryId = default , 
    Guid BrandId = default , 
    double MinPrice = -1 , 
    double MaxPrice = 0) : IRequest<List<ProductSDto>>;