﻿namespace NetinaShop.Domain.Entities.Orders;

public partial class OrderDelivery : ApiEntity
{
    public OrderDelivery()
    {
        
    }
    public OrderDelivery(string address, string postalCode, string receiverPhoneNumber, string receiverFullName, double deliveryCost, Guid shippingId, Guid orderId)
    {
        Address = address;
        PostalCode = postalCode;
        ReceiverPhoneNumber = receiverPhoneNumber;
        ReceiverFullName = receiverFullName;
        DeliveryCost = deliveryCost;
        ShippingId = shippingId;
        OrderId = orderId;
    }
    public string Address { get; internal set; } = string.Empty;
    public string PostalCode { get; internal set; } = string.Empty;
    public string ReceiverPhoneNumber { get; internal set; } = string.Empty;
    public string ReceiverFullName { get; internal set; } = string.Empty;
    public double DeliveryCost { get; internal set; }
    public Guid ShippingId { get; internal set; }
    public Shipping? Shipping { get; internal set; }
    public Guid OrderId { get; internal set; }
    public Order? Order { get; internal set; }
}